@import '../../assets/styles/common';

.challenge-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 160rem;
  margin: 5rem auto;
  text-align: center;

  &-item {
    flex: 1;
    max-width: 45rem;
    margin: 0 auto;

    .challenge-search {
      svg {
        font-size: 3.5rem;
      }
    }

    &__text {
      font-style: italic;
      font-size: 4.5rem;
    }

    &-sort {
      margin-top: 1.5rem;
    }
  }
}

.list-challenge-card {
  position: relative;
  width: 40rem;
  height: 26rem;
  margin: 4rem .4rem;
  border: 2px solid black;
  cursor: pointer;

  &__wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 160rem;
    margin: 6rem auto 0;

    &-error {
      margin-top: 5rem;
      font-size: 1.8rem;
    }
  }

  &__startDate {
    display: inline-block;
    position: absolute;
    bottom: 100%;
    left: 3px;
    padding: 8px;
    border-radius: 1rem 1rem 0 0;
    background-color: $challenge-list-green;

    &-text {
      font-size: 1.4rem;
      color: $white;
      text-transform: uppercase;
    }
  }

  &__ppyBounty {
    position: absolute;
    top:20%;
    left:5%;

    &-icon {
      height: 2.2rem;
      min-height: 2.2rem;
    }

    &-text {
      position: relative;
      bottom: .7rem;
      left:1rem;
      font-size: 1.6rem;
    }
  }

  &__profile {
    position: absolute;
    bottom: 10%;
    width: 100%;

    &-info {
      display: flex;
      flex-wrap: wrap;
      justify-content: flex-start;

      &-img {
        width: 20%;
        text-align: center;

        &-icon {
          width: 5rem;
          min-width: 5rem;
          height: 5rem;
          min-height: 5rem;
          border: 3px solid white;
          border-radius: 50%;
        }
      }

      &-text {
        width: 70%;
        padding-top: 1rem;
      }

      &-name {
        text-transform: capitalize;

        &-text {
          font-size: 1.6rem;
        }
      }

      &-endDate {
        font-size: 1.3rem;
        color: $gray-lighter;
      }
    }
  }

  &__first {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.45), rgba(8, 8, 8, 0.55)), url('../../assets/images/listChallenges/2614448-fortnite-background-desktop.png');
    background-position: center;
    background-size: cover;
  }

  &__second {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.45), rgba(29, 29, 29, 0.55)), url('../../assets/images/dashboard/placeholder/carousel_placeholder.png');
    background-position: center;
    background-size: cover;
  }

  &__third {
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0.45), rgba(29, 29, 29, 0.55)), url('../../assets/images/dashboard/placeholder/pubg_placeholder.png');
    background-position: center;
    background-size: cover;
  }
}

.challenge {
  &-search {
    position: relative;
    width:calc(100% - 54px);
    height: 5.4rem;
    border-radius: 1.1rem;
    cursor: pointer;

    &__icon {
      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      top: 0;
      left: 100%;
      width: 4.8rem;
      height: 100%;
      border-radius: 0 1.1rem 1.1rem 0;
      background-color: $green;
      cursor: pointer;

      &-color {
        fill: #06002a;
      }

      &-disabled {
        cursor: not-allowed;
      }
    }

    &__input {
      box-sizing: border-box;
      width: 100%;
      height: 5.4rem;
      padding: 0 1.2rem;
      border-radius: 1.1rem 0 0 1.1rem;
      font-size: 2rem;
      color: $white;
      background-color: $black;

      &:focus {
        outline: none;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &-header {
      &-item {
        max-width: 40rem;

        &__text {
          font-size: 3.5rem;
        }
      }

      @media only screen and (max-width: 500px) {
        flex-direction: column;

        &-item {
          width: 100%;

          &:nth-child(2) {
            order: -1;
          }
        }
      }
    }
  }
}
